Return-Path: Delivered-To: apmail-incubator-harmony-commits-archive@www.apache.org Received: (qmail 92621 invoked from network); 8 Oct 2005 04:38:51 -0000 Received: from hermes.apache.org (HELO mail.apache.org) (209.237.227.199) by minotaur.apache.org with SMTP; 8 Oct 2005 04:38:51 -0000 Received: (qmail 60261 invoked by uid 500); 8 Oct 2005 04:31:28 -0000 Delivered-To: apmail-incubator-harmony-commits-archive@incubator.apache.org Received: (qmail 59677 invoked by uid 500); 8 Oct 2005 04:31:22 -0000 Mailing-List: contact harmony-commits-help@incubator.apache.org; run by ezmlm Precedence: bulk List-Help: List-Unsubscribe: List-Post: List-Id: Reply-To: harmony-dev@incubator.apache.org Delivered-To: mailing list harmony-commits@incubator.apache.org Received: (qmail 58310 invoked by uid 99); 8 Oct 2005 04:30:56 -0000 X-ASF-Spam-Status: No, hits=-9.8 required=10.0 tests=ALL_TRUSTED,NO_REAL_NAME X-Spam-Check-By: apache.org Received: from [209.237.227.194] (HELO minotaur.apache.org) (209.237.227.194) by apache.org (qpsmtpd/0.29) with SMTP; Fri, 07 Oct 2005 21:30:18 -0700 Received: (qmail 89111 invoked by uid 65534); 8 Oct 2005 04:29:57 -0000 Message-ID: <20051008042957.89109.qmail@minotaur.apache.org> Content-Type: text/plain; charset="utf-8" MIME-Version: 1.0 Content-Transfer-Encoding: 7bit Subject: svn commit: r307257 [4/24] - in /incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm: ./ bootJVM/ bootJVM/jni/ bootJVM/jni/src/ bootJVM/jni/src/gnu/ bootJVM/jni/src/gnu/classpath/ bootJVM/jni/src/gnu/classpath/0.16/ bootJVM/jni/src/gnu/classpath/... Date: Sat, 08 Oct 2005 04:29:29 -0000 To: harmony-commits@incubator.apache.org From: geirm@apache.org X-Mailer: svnmailer-1.0.5 X-Virus-Checked: Checked by ClamAV on apache.org X-Spam-Rating: minotaur.apache.org 1.6.2 0/1000/N Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dist-doc.sh URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dist-doc.sh?rev=307257&view=auto ============================================================================== --- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dist-doc.sh (added) +++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dist-doc.sh Fri Oct 7 21:27:56 2005 @@ -0,0 +1,188 @@ +#!/bin/sh +# +#! +# @file ./dist-doc.sh +# +# @brief Distribute Boot JVM documentation package. +# +# Make @e sure to have performed the final build by running +# @link ./clean.sh clean.sh all@endlink followed by +# @link ./build.sh build.sh all@endlink. This will guarantee +# that everything compiles clean and may be installed and +# run on all platforms of this CPU type. +# +# Use @link ./dist-src.sh dist-src.sh@endlink to distribute +# the source package. +# +# Use @link ./dist-bin.sh dist-bin.sh@endlink to distribute +# the binary package. +# +# @see @link ./common.sh ./common.sh@endlink +# +# @attention Make @e sure that all Eclipse project files are in +# the "open" state when creating a distribution. +# This will ensure immediate access to them by +# Eclipse users without having to change anything. +# +# +# @todo A Windows .BAT version of this script needs to be written +# +# +# @section Control +# +# \$URL: https://svn.apache.org/path/name/dist-doc.sh $ \$Id: dist-doc.sh 0 09/28/2005 dlydick $ +# +# Copyright 2005 The Apache Software Foundation +# or its licensors, as applicable. +# +# Licensed under the Apache License, Version 2.0 ("the License"); +# you may not use this file except in compliance with the License. +# You may obtain a copy of the License at +# +# http://www.apache.org/licenses/LICENSE-2.0 +# +# Unless required by applicable law or agreed to in writing, +# software distributed under the License is distributed on an +# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, +# either express or implied. +# +# See the License for the specific language governing permissions +# and limitations under the License. +# +# @version \$LastChangedRevision: 0 $ +# +# @date \$LastChangedDate: 09/28/2005 $ +# +# @author \$LastChangedBy: dlydick $ +# Original code contributed by Daniel Lydick on 09/28/2005. +# +# @section Reference +# +#/ /* +# (Use #! and #/ with dox_filter.sh to fool Doxygen into +# parsing this non-source text file for the documentation set. +# Use the above open comment to force termination of parsing +# since it is not a Doxygen-style 'C' comment.) +# +# +################################################################### +# +# Script setup. +# +. echotest.sh + +. common.sh + +MSG80="This script must NOT be interrupted. Last chance to stop it..." +$echon "$PGMNAME: $MSG80" $echoc +sleep 5 +echo "" +echo "" + +# Suppress attempts to interrupt +trap "" 1 2 3 15 + +################################################################### +# +# Clean up everything and rebuild it. +# +./clean.sh all + +DistPrep + +DistDocPrep + +DistTargetBuild dox + +DistConfigPrep + +echo "" +echo "$PGMNAME: Setting target directory permissions" +umask 022 +chmod 0755 `find . -type d -print` + +# Use same target as source distribution for original docs, +# that is, they will _not_ be changed. +if test -d doc.ORIG +then + chmod -R +w doc.ORIG + rm -rf doc.ORIG +fi + +mv doc doc.ORIG + +echo "" +echo "$PGMNAME: Setting target file permissions" + +# Time stamp all files together +cd doc.ORIG +TMPTIMESTAMPFILE=${TMPDIR:-/tmp}/tmp.$PGMNAME.$$ +rm -f $TMPTIMESTAMPFILE +touch TMPTIMESTAMPFILE +for f in `find . -type f -print` +do + chmod +w $f + touch -r TMPTIMESTAMPFILE $f + chmod -w $f +done +rm -f $TMPTIMESTAMPFILE +cd .. + +TARGET_HOME="harmony/bootJVM-$CONFIG_RELEASE_LEVEL" +cd ../.. +mv harmony/bootJVM $TARGET_HOME + +echo "" +echo "$PGMNAME: Creating distribution file '../../$DISTDOCTAR'" + +rm -f $DISTDOCTAR +tar cf $DISTDOCTAR $TARGET_HOME/doc.ORIG +mv $TARGET_HOME harmony/bootJVM + +if test ! -r $DISTDOCTAR +then + echo "" + echo "$PGMNAME: Directory `cd ../..; pwd` is not writable." + echo "$PGMNAME: Please make it writable and try again." + exit 4 +fi + +echo "" +echo \ + "$PGMNAME: Compressing distribution file into '../../$DISTDOCTAR.gz'" +rm -f $DISTDOCTAR.gz +gzip $DISTDOCTAR +if test ! -r $DISTDOCTAR.gz +then + echo "" + echo "$PGMNAME: Cannot compress into '$DISTDOCTAR.gz'" + exit 5 +fi + +chmod 0444 $DISTDOCTAR.gz +cd harmony/bootJVM + +chmod -R +w doc.ORIG +mv doc.ORIG doc + +DistConfigUnPrep + +DistDocUnPrep + +DistUnPrep + +echo "" +echo "$PGMNAME: Documentation distribution tar file created:" +echo "" +ls -l ../../$DISTDOCTAR.gz +echo "" + +################################################################### +# +# Done. +# +echo "" +echo "$PGMNAME: Documentation distribution complete" + +# +# EOF Propchange: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dist-doc.sh ------------------------------------------------------------------------------ svn:executable = * Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dist-src.sh URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dist-src.sh?rev=307257&view=auto ============================================================================== --- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dist-src.sh (added) +++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dist-src.sh Fri Oct 7 21:27:56 2005 @@ -0,0 +1,207 @@ +#!/bin/sh +# +#! +# @file ./dist-src.sh +# +# @brief Distribute Boot JVM source package. +# +# Clean up all build targets so that only source remains. +# Then create pre-formatted documentation for installation +# by @b config.sh and bundle into a tar file. +# +# Use @link ./dist-bin.sh dist-bin.sh@endlink to distribute +# the binary package. +# +# Use @link ./dist-doc.sh dist-doc.sh@endlink to distribute +# the documentation package. +# +# +# @see @link ./common.sh ./common.sh@endlink +# +# @attention Make @e sure that all Eclipse project files are in +# the "open" state when creating a distribution. +# This will ensure immediate access to them by +# Eclipse users without having to change anything. +# +# @todo A Windows .BAT version of this script needs to be written +# +# +# @section Control +# +# \$URL: https://svn.apache.org/path/name/dist-src.sh $ \$Id: dist-src.sh 0 09/28/2005 dlydick $ +# +# Copyright 2005 The Apache Software Foundation +# or its licensors, as applicable. +# +# Licensed under the Apache License, Version 2.0 ("the License"); +# you may not use this file except in compliance with the License. +# You may obtain a copy of the License at +# +# http://www.apache.org/licenses/LICENSE-2.0 +# +# Unless required by applicable law or agreed to in writing, +# software distributed under the License is distributed on an +# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, +# either express or implied. +# +# See the License for the specific language governing permissions +# and limitations under the License. +# +# @version \$LastChangedRevision: 0 $ +# +# @date \$LastChangedDate: 09/28/2005 $ +# +# @author \$LastChangedBy: dlydick $ +# Original code contributed by Daniel Lydick on 09/28/2005. +# +# @section Reference +# +#/ /* +# (Use #! and #/ with dox_filter.sh to fool Doxygen into +# parsing this non-source text file for the documentation set. +# Use the above open comment to force termination of parsing +# since it is not a Doxygen-style 'C' comment.) +# +# +################################################################### +# +# Script setup. +# +. echotest.sh + +. common.sh + +MSG80="This script must NOT be interrupted. Last chance to stop it..." +$echon "$PGMNAME: $MSG80" $echoc +sleep 5 +echo "" +echo "" + +# Suppress attempts to interrupt +trap "" 1 2 3 15 + +################################################################### +# +# Check for common Eclipse output directory at normal level. +# +# Notice that each JNI implmementation will have its own directory +# tree with its own scripts and its own 'bin' directory, while Eclipse +# generates the directory in question, which 'clean.sh jni' does not +# clean up. +# +if test -d jni/bin +then + echo "$PGMNAME: Found 'jni/bin' directory. This is an artifact" + echo "$PGMNAME: of the Eclipse project in 'jni'. Please remove" + echo "$PGMNAME: this directory manually before proceeding." + exit 2 +fi + +################################################################### +# +# Prepare for distribution, then strip out _all_ output, +# rebuild documentation in _all_ formats, archive it, and +# then delete it. Package the result in final 'tar' file. +# + +DistPrep + +# For the 'vi' users on the team +TAGLIST=`find . -name tags -print` +if test -n "$TAGLIST" +then + echo "" + echo "$PGMNAME: Cleaning out tag files" + rm -f $TAGLIST +fi + +COREFILES=`find . -name core -type f -print` +if test -n "$COREFILES" +then + echo "" + echo "$PGMNAME: Removing 'core' files" + + rm -f $COREFILES +fi + +echo "" +echo "$PGMNAME: Cleaning out all binaries" + +./clean.sh all + +DistDocPrep + +echo "" +echo "$PGMNAME: Setting directory permissions" +umask 022 +chmod 0755 `find . -type d -print` + +echo "" +echo "$PGMNAME: Setting source file permissions" +chmod 0644 `find . -type f -name \*.c -print` +chmod 0644 `find . -type f -name \*.h -print` +chmod 0644 `find . -type f -name \*.java -print` +chmod 0755 `find . -type f -name \*.sh -print` +chmod 0644 `find . -type f -name \*.dox -print` +chmod 0644 [ILR]* +chmod 0644 `find . -type f -name .\?\?\* -print` + +DistTargetBuild dox + +DistDocTar + +chmod +w `find . -print` +touch `find . -print` + +DistDocUnPrep + +DistConfigPrep + +echo "" +echo "$PGMNAME: Creating distribution file '../../$DISTSRCTAR'" + +cd ../.. +rm -f $DISTSRCTAR +tar cf $DISTSRCTAR harmony/bootJVM +if test ! -r $DISTSRCTAR +then + echo "" + echo "$PGMNAME: Directory `cd ../..; pwd` is not writable." + echo "$PGMNAME: Please make it writable and try again." + exit 5 +fi + +echo "" +echo \ + "$PGMNAME: Compressing distribution file into '../../$DISTSRCTAR.gz'" +rm -f $DISTSRCTAR.gz +gzip $DISTSRCTAR +if test ! -r $DISTSRCTAR.gz +then + echo "" + echo "$PGMNAME: Cannot compress into '$DISTSRCTAR.gz'" + exit 6 +fi + +chmod 0444 $DISTSRCTAR.gz +cd harmony/bootJVM + +DistConfigUnPrep + +DistUnPrep + +echo "" +echo "$PGMNAME: Source distribution tar file created:" +echo "" +ls -l ../../$DISTSRCTAR.gz +echo "" + +################################################################### +# +# Done. +# +echo "" +echo "$PGMNAME: Source distribution complete" + +# +# EOF Propchange: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dist-src.sh ------------------------------------------------------------------------------ svn:executable = * Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dox.sh URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dox.sh?rev=307257&view=auto ============================================================================== --- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dox.sh (added) +++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dox.sh Fri Oct 7 21:27:56 2005 @@ -0,0 +1,342 @@ +#!/bin/sh +#! +# @file ./dox.sh +# +# @brief Create project documentation with @b Doxygen. +# +# Generate @b Doxygen documentation from source code containing +# appropriate documentation tags. Customize the output to +# to eliminate unwanted warnings. +# +# @note Using GENERATE_RTF=YES seems to cause the spurious +# message, "QGDict::hashAsciiKey: Invalid null key" +# on otherwise working and valid documentation. +# The reasons are not yet known, and it may be that +# the directive file needs some different settings. +# +# @todo Identify reason for spurious message on RTF output as +# described above. +# +# @todo A proper solution to old NetScape 4.7X processing the +# HTML tag <pre class="fragment"> syntax needs to be +# found and implemented so that <code> and +# @@verbatim fragments, etc., may be displayed with proper +# framing @e and with proper newlines and white space. For the +# interim solution, see the end of this script. The problem will +# probably be solved by adjusting the doxygen.css +# (the default @b .css file) or supplying one that is customized +# for the project or perhaps just for old NetScape browsers. +# The scripts @link ./doxpatch.sh doxpatch.sh@endlink and +# @link ./doxunpatch.sh doxunpatch.sh@endlink that support +# the interim solution might also be used in support of the +# proper solution if an "original" and a "patched" version of +# the style sheet exists in the HTML output directory. +# The alternative is to have an original and patched version +# of the HTML pages, which might be preferable, depending on +# the actual visual artifacts. In this case, a patch/unpatch +# script might either not be such a good idea or would be a bit +# more complex to implement. In any event, the correct approach +# is to find the HTML problem and fix it, probably in the +# style sheet. +# +# @todo Perhaps the above to-do item should be generalized for the +# old NetScape 4.7X browser since is seems to have some overall +# problems with fonts in the default 'doxygen.css' style sheet. +# Perhaps someone with CSS experience could contribute one or +# more style sheets for use with different types of browsers so +# the HTML documents look the same on all of them. +# +# @todo Consider the creation of a .css file that is customized +# especially for this project. +# +# @todo A Windows .BAT version of this script needs to be written +# +# @bug If the token sequence "@b @c word1 word2..." is used, two +# words get bolded instead of one (doxygen 1.4.4). Likewise +# with "@b @p word1 word2..." By reversing the sequence, +# only one word gets bolded. Is this a "bug" or a "feature"? +# +# +# @section Control +# +# \$URL: https://svn.apache.org/path/name/dox.sh $ \$Id: dox.sh 0 09/28/2005 dlydick $ +# +# Copyright 2005 The Apache Software Foundation +# or its licensors, as applicable. +# +# Licensed under the Apache License, Version 2.0 ("the License"); +# you may not use this file except in compliance with the License. +# You may obtain a copy of the License at +# +# http://www.apache.org/licenses/LICENSE-2.0 +# +# Unless required by applicable law or agreed to in writing, +# software distributed under the License is distributed on an +# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, +# either express or implied. +# +# See the License for the specific language governing permissions +# and limitations under the License. +# +# @version \$LastChangedRevision: 0 $ +# +# @date \$LastChangedDate: 09/28/2005 $ +# +# @author \$LastChangedBy: dlydick $ +# Original code contributed by Daniel Lydick on 09/28/2005. +# +# @section Reference +# +#/ /* +# (Use #! and #/ with dox_filter.sh to fool Doxygen into +# parsing this non-source text file for the documentation set. +# Use the above open comment to force termination of parsing +# since it is not a Doxygen-style 'C' comment.) +# +# +######################################################################## +# +# Script setup +# +. commondox.sh +. config/config_build_steps.sh + +######################################################################## +# +# Verify that Doxygen program exists +# +HERE=`pwd` +if test -n "$TMPDIR" +then + if test -d $TMPDIR/. + then + cd $TMPDIR + else + echo "$0: 'TMPDIR' env var is not a directory: $TMPDIR" + exit 1 + fi +else + if test -d /tmp + then + cd /tmp + else + echo "$0: Need either TMPDIR directory (env var) or '/tmp'" + exit 2 + fi +fi + +# Text Doxygen program itself +doxygen -g tmp.$$.Doxyfile > /dev/null +rc=$? +rm -f tmp.$$.Doxyfile + +if test $rc -ne 0 +then + echo "doxygen: File not found" 1>&2 + exit 3 +fi + +cd $HERE + +######################################################################## +# +# Extract some basic values from top-level configuration header file. +# Specifically, CONFIG_WORDWIDTH{32,64}, ARCH_BIG_ENDIAN, +# ARCH_LITTLE_ENDIAN, ARCH_ODD4_ADDRESS_SIGSEGV. +# +CONFIG_HEADER=config/config.h +# +UNABLE2RESOLVE="unable to resolve link to \\\`" +DOC4UNKNOWN="documentation for unknown define" +# +WORDWIDTH_FILTER= +grep WORDWIDTH32 $CONFIG_HEADER > /dev/null +rc1=$? +grep WORDWIDTH64 $CONFIG_HEADER > /dev/null +rc2=$? +if test 0 -eq $rc1 -a 0 -eq $rc2 +then + : # Something wierd in configuration, don't filter it. +else + if test 1 -eq $rc1 -a 1 -eq $rc2 + then + : # Something wierd in configuration, nothing to filter. + else + if test 0 -eq $rc1 + then + WORDWIDTH_FILTER="${UNABLE2RESOLVE}#CONFIG_WORDWIDTH64" + else + WORDWIDTH_FILTER="${UNABLE2RESOLVE}#CONFIG_WORDWIDTH32" + fi + fi +fi + +# +ENDIAN_LITTLE="$DOC4UNKNOWN ARCH_LITTLE_ENDIAN|${UNABLE2RESOLVE}#ARCH_LITTLE_ENDIAN" +ENDIAN_BIG="$DOC4UNKNOWN ARCH_BIG_ENDIAN|${UNABLE2RESOLVE}#ARCH_BIG_ENDIAN" +ENDIAN_FILTER="${ENDIAN_LITTLE}|${ENDIAN_BIG}" + +######################################################################## +# +# Warnings about preprocessor symbols that are present only when +# 'config/config.h' or 'jvm/src/arch.h' generate them. +# +ODD1="$DOC4UNKNOWN ARCH_ODD2_ADDRESS_SIGSEGV" +ODD2="${UNABLE2RESOLVE}#ARCH_ODD2_ADDRESS_SIGSEGV" +ODD3="$DOC4UNKNOWN ARCH_ODD4_ADDRESS_SIGSEGV" +ODD4="${UNABLE2RESOLVE}#ARCH_ODD4_ADDRESS_SIGSEGV" +ODD_FILTER="$ODD1|$ODD2|$ODD3|$ODD4" + +GC1="${UNABLE2RESOLVE}#CONFIG_GC_TYPE_STUB" +GC2="${UNABLE2RESOLVE}#CONFIG_GC_TYPE_OTHER" +GC_FILTER="$GC1|$GC2" + +HEAP1="${UNABLE2RESOLVE}#CONFIG_HEAP_TYPE_SIMPLE" +HEAP2="${UNABLE2RESOLVE}#CONFIG_HEAP_TYPE_BIMODAL" +HEAP3="${UNABLE2RESOLVE}#CONFIG_HEAP_TYPE_OTHER" +HEAPDF="${UNABLE2RESOLVE}#HEAP_DATA_FREE" +HEAPDG="${UNABLE2RESOLVE}#HEAP_DATA_GET" +HEAPMF="${UNABLE2RESOLVE}#HEAP_METHOD_GET" +HEAPMG="${UNABLE2RESOLVE}#HEAP_METHOD_FREE" +HEAPSF="${UNABLE2RESOLVE}#HEAP_STACK_FREE" +HEAPSG="${UNABLE2RESOLVE}#HEAP_STACK_GET" + +HEAP_FILTER1="$HEAP1|$HEAP2|$HEAP3" +HEAP_FILTER2="$HEAPDF|$HEAPDG|$HEAPMF|$HEAPMG|$HEAPSF|$HEAPSG" + +HEAP_FILTER="$HEAP_FILTER1|$HEAP_FILTER2" + + +CPP_FILTER="$ODD_FILTER|$GC_FILTER|$HEAP_FILTER" + +######################################################################## +# +# Mysterious warnings that I dont want to take the time to figure out +# for whatever reason. +# +# MYSTERY1 comes and goes with @c directives in 'classfile.h' and shows +# up in some source files that include it. +# + +MYSTERY1="Warning: Illegal command \\\xrefitem as the argument of a \\\c command" + +MYSTERY_FILTER="$MYSTERY1" + +######################################################################## +# +# Unnecessary warnings about specific files. +# + +SPECIFICM1="Warning: file jvm/src/main.c already documented. Skipping documentation." + +SPECIFIC_FILTER="$SPECIFICM1" + +######################################################################## +# +# Unnecessary warnings about shell scripts when INPUT_FILTER= has +# been commented out so as to not properly parse them, yet to +# speed up run time when working with just the source code, not +# with shell scripts also. +# + +SHELL1="Warning: Found ';' while parsing initializer list! \(doxygen could be confused by a macro call without semicolon\)" + +SHELL_FILTER="$SHELL1" + +######################################################################## +# +# Clean up _all_ former output. This is important to clear out stale +# results during development and when changing the Doxygen +# configuration file. +# +# With the exception of effects of changing the configuration file, +# this cleanup step really _could_ be done under the covers by doxygen +# by virtue ofthe fact that new output files overwrite old output files, +# but is done here anyway for the sake of being thorough and only +# generating _exactly_ what the current contents of the configuration +# file say should be generated: +# +if test -z "$SUPPRESS_DOXYGEN_VERYCLEAN" +then + # + # Typically only invoked the _very_ first time through. + # + if test ! -d $OUTPUT_DIRECTORY + then + echo "" + echo "$0: Set environment variable SUPPRESS_DOXYGEN_VERYCLEAN" + echo " to be non-null in order to not remove all of the" + echo " documentation output files every time and thus run" + echo " faster at the expense of file roster precision due" + echo " to file add/delete or doxygen directive file changes." + echo "" + fi + + $RMALL_CMD +fi + +######################################################################## +# +# Construct output directory, clean up its subdirectories for results +# +if test ! -d $OUTPUT_DIRECTORY +then + mkdir $OUTPUT_DIRECTORY +fi + +for d in $HTML_OUTPUT $LATEX_OUTPUT $RTF_OUTPUT $MAN_OUTPUT $XML_OUTPUT +do + if test ! -d $OUTPUT_DIRECTORY/$d + then + mkdir $OUTPUT_DIRECTORY/$d + fi +done + +######################################################################## +# +# Construct complete filter list-- DO NOT wrap this filter definition! +# +DOXYGEN_FILTER1="$WORDWIDTH_FILTER|$ENDIAN_FILTER|$CPP_FILTER" +DOXYGEN_FILTER2="$SPECIFIC_FILTER|$MYSTERY_FILTER|$SHELL_FILTER" +DOXYGEN_FILTER="$DOXYGEN_FILTER1|$DOXYGEN_FILTER2" + +######################################################################## +# +# Make it happen. If so configured, adjust
 HTML
+# tags for NetScape 4.7x so that they effectively ignore the tag.  If
+# 4.7x processes them as they stand, there will be no newline characters
+# displayed and all white space is condensed into one character in
+# these fragments.
+#
+
+SED_IN_PATTERN="^PRE.fragment"
+SED_OUT_PATTERN="PRE.fragment_PATCHED_BY_DOX_SH"
+
+if test "YES" != "$CONFIG_BUILD_HTML_ADJUST_NETSCAPE47X"
+then
+    doxygen bootjvm.dox 2>&1 | egrep -v "${DOXYGEN_FILTER}"
+else
+    # Only meaningful if "GENERATE_HTML=YES" in directive file
+
+    if test -d $OUTPUT_DIRECTORY/$HTML_OUTPUT
+    then
+        rm -f $CSS_FILE_ORIG
+        rm -f $CSS_FILE_PATCHED
+
+        rm -f $CSS_FILE
+
+        doxygen bootjvm.dox 2>&1 | egrep -v "${DOXYGEN_FILTER}"
+
+        mv $CSS_FILE $CSS_FILE_ORIG
+
+        sed "s/$SED_IN_PATTERN/$SED_OUT_PATTERN/" $CSS_FILE_ORIG > \
+                                                       $CSS_FILE_PATCHED
+
+        rm -f $CSS_FILE
+        ln -s $CSS_FILE_PATCHED_NAME $CSS_FILE
+    fi
+fi
+
+########################################################################
+#
+# EOF

Propchange: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dox.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dox_filter.sh
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dox_filter.sh?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dox_filter.sh (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dox_filter.sh Fri Oct  7 21:27:56 2005
@@ -0,0 +1,119 @@
+#!/bin/sh
+#
+#!
+# @file ./dox_filter.sh
+#
+# @brief Convince Doxygen to parse files other than source code
+# as part of documentation set.
+#
+# This script is invoked from with @b doxygen via @b bootjvm.dox as
+# the @b INPUT_FILTER value.
+#
+# For shell scripts, strip non-comments and convert shell comments
+# beginning in column 1 from (^#) to ( *).  These appear
+# to Doxygen to be 'C' style intermediate comments (of stylistic
+# interest).
+#
+# Convert comment with an explanation point (^#!) character
+# to look like a Doxygen start-of-documentation tag (/*!),
+# a special form of a 'C' style open comment (of syntactic interest).
+#
+# Convert comment with a slash (^#/) character to look like
+# a Doxygen end-of-documentation tag (*/), a special
+# form of a 'C' style close comment (of syntactic interest).
+#
+# Other selected files may be converted also, but only the header areas
+# need to begin with a script-style comment.  For a simple example,
+# please refer to @link ./LICENSE LICENSE@endlink.
+#
+#
+# @todo  A Windows .BAT version of this script needs to be written
+#
+#
+# @section Control
+#
+# \$URL: https://svn.apache.org/path/name/dox_filter.sh $ \$Id: dox_filter.sh 0 09/28/2005 dlydick $
+#
+# Copyright 2005 The Apache Software Foundation
+# or its licensors, as applicable.
+#
+# Licensed under the Apache License, Version 2.0 ("the License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
+# either express or implied.
+#
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# @version \$LastChangedRevision: 0 $
+#
+# @date \$LastChangedDate: 09/28/2005 $
+#
+# @author \$LastChangedBy: dlydick $
+#         Original code contributed by Daniel Lydick on 09/28/2005.
+#
+# @section Reference
+#
+#/ /* 
+# (Use  #! and #/ with dox_filter.sh to fool Doxygen into
+# parsing this non-source text file for the documentation set.
+# Use the above open comment to force termination of parsing
+# since it is not a Doxygen-style 'C' comment.)
+#
+#
+###################################################################
+#
+# Look for all INPUT= files with '.sh' extension and convert them
+# to look like a block of 'C' code comments so Doxygen can parse
+# out their documentation tags.
+#
+
+# Magic, but _very_ vanilla Unix, method to extract file extension
+FILENAME=`expr "/${1:-.}" : \
+           '\(.*[^/]\)/*$' : \
+           '.*/\(..*\)' : \
+           "\\(.*\\)sh\$" `
+
+FILEEXT=`expr "/${1:-.}" : \
+           '\(.*[^/]\)/*$' : \
+           '.*/\(..*\)' : \
+           "$FILENAME\\(.*\\)\$" `
+
+# Process '*.sh' and specific files with filter to convert their
+# comments per above
+
+convertit=0
+if test "sh" = "$FILEEXT"
+then
+    convertit=1
+else
+    case $FILENAME in
+        INSTALL | LICENSE | README) convertit=2;;
+        *);;
+    esac
+fi
+
+case $convertit in
+    0) cat $1;;
+
+    1) # Read file, strip /bin/sh line, convert comments
+       cat $1 | \
+       (read line1; cat -) | \
+       grep "^#" | \
+       sed 's,^#!,/*!,;s,^#/, */,;s,^#, *,'
+       ;;
+
+    2) # Read file, convert whole file of which only
+       # header areas need to contain comments.
+       cat $1 | \
+       sed 's,^#!,/*!,;s,^#/, */,;s,^#, *,'
+esac
+exit 0
+#
+# EOF

Propchange: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/dox_filter.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/doxpatch.sh
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/doxpatch.sh?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/doxpatch.sh (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/doxpatch.sh Fri Oct  7 21:27:56 2005
@@ -0,0 +1,98 @@
+#!/bin/sh
+#!
+# @file ./doxpatch.sh
+#
+# @brief Install CSS patch in HTML documentation that supports
+# NetScape 4.7x HTML browser.
+#
+# A patch is needed to work around the cascading style sheet issue in
+#
+#     <pre class="fragment"^gt;
+#
+# directives in Doxygen HTML output so that old NetScape 4.7x browsers
+# do not parse this to eliminate newline characters in @b @@verbatim
+# blocks, @b <code> blocks, etc.
+#
+# This only is effective if @b CONFIG_BUILD_HTML_ADJUST_NETSCAPE47X
+# was configured by @link ./config.sh config.sh@endlink.  Otherwise
+# it is meaningless and the request is silently ignored.
+#
+# When configured, the cascading style sheet @c @b doc/html/doxygen.css
+# has two copies made when @link ./dox.sh dox.sh@endlink is run.
+# A symbolic link by the original name points to the patched copy
+# originally. @link ./doxunpatch.sh doxunpatch@endlink can use it
+# to revert back to the unpatched copy.  This script moves the symbolic
+# link to the patched copy that suppresses processing that causes
+# the problem.
+#
+# @see doxunpatch.sh
+#
+# @todo A Windows .BAT version of this script needs to be written
+#
+#
+# @section Control
+#
+# \$URL: https://svn.apache.org/path/name/doxpatch.sh $ \$Id: doxpatch.sh 0 09/28/2005 dlydick $
+#
+# Copyright 2005 The Apache Software Foundation
+# or its licensors, as applicable.
+#
+# Licensed under the Apache License, Version 2.0 ("the License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
+# either express or implied.
+#
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# @version \$LastChangedRevision: 0 $
+#
+# @date \$LastChangedDate: 09/28/2005 $
+#
+# @author \$LastChangedBy: dlydick $
+#         Original code contributed by Daniel Lydick on 09/28/2005.
+#
+# @section Reference
+#
+#/ /* 
+# (Use  #! and #/ with dox_filter.sh to fool Doxygen into
+# parsing this non-source text file for the documentation set.
+# Use the above open comment to force termination of parsing
+# since it is not a Doxygen-style 'C' comment.)
+#
+#
+########################################################################
+#
+# Script setup
+#
+. commondox.sh
+. config/config_build_steps.sh
+
+########################################################################
+#
+# Check if configured and move symbolic link if so.
+#
+if test "YES" != "$CONFIG_BUILD_HTML_ADJUST_NETSCAPE47X"
+then
+    exit 0 # Silently ignore the request
+else
+    # Only meaningful if "GENERATE_HTML=YES" in directive file
+
+    if test -d $OUTPUT_DIRECTORY/$HTML_OUTPUT
+    then
+        rm -f $CSS_FILE
+
+        ln -s $CSS_FILE_PATCHED_NAME $CSS_FILE
+    fi
+fi
+
+
+########################################################################
+#
+# EOF

Propchange: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/doxpatch.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/doxunpatch.sh
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/doxunpatch.sh?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/doxunpatch.sh (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/doxunpatch.sh Fri Oct  7 21:27:56 2005
@@ -0,0 +1,98 @@
+#!/bin/sh
+#!
+# @file ./doxunpatch.sh
+#
+# @brief Remove CSS patch in HTML documentation that supports
+# NetScape 4.7x HTML browser.
+#
+# A patch is needed to work around the cascading style sheet issue in
+#
+#     <pre class="fragment"^gt;
+#
+# directives in Doxygen HTML output so that old NetScape 4.7x browsers
+# do not parse this to eliminate newline characters in @b @@verbatim
+# blocks, @b <code> blocks, etc.
+#
+# This only is effective if @b CONFIG_BUILD_HTML_ADJUST_NETSCAPE47X
+# was configured by @link ./config.sh config.sh@endlink.  Otherwise
+# it is meaningless and the request is silently ignored.
+#
+# When configured, the cascading style sheet @c @b doc/html/doxygen.css
+# has two copies made when @link ./dox.sh dox.sh@endlink is run.
+# A symbolic link by the original name points to the patched copy
+# originally, which this script can use to revert back to the unpatched
+# copy.  @link ./doxpatch.sh doxpatch@endlink can move the symbolic
+# link to the patched copy that suppresses processing that causes
+# the problem.
+#
+# @see doxunpatch.sh
+#
+# @todo A Windows .BAT version of this script needs to be written
+#
+#
+# @section Control
+#
+# \$URL: https://svn.apache.org/path/name/doxunpatch.sh $ \$Id: doxunpatch.sh 0 09/28/2005 dlydick $
+#
+# Copyright 2005 The Apache Software Foundation
+# or its licensors, as applicable.
+#
+# Licensed under the Apache License, Version 2.0 ("the License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
+# either express or implied.
+#
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# @version \$LastChangedRevision: 0 $
+#
+# @date \$LastChangedDate: 09/28/2005 $
+#
+# @author \$LastChangedBy: dlydick $
+#         Original code contributed by Daniel Lydick on 09/28/2005.
+#
+# @section Reference
+#
+#/ /* 
+# (Use  #! and #/ with dox_filter.sh to fool Doxygen into
+# parsing this non-source text file for the documentation set.
+# Use the above open comment to force termination of parsing
+# since it is not a Doxygen-style 'C' comment.)
+#
+#
+########################################################################
+#
+# Script setup
+#
+. commondox.sh
+. config/config_build_steps.sh
+
+########################################################################
+#
+# Check if configured and move symbolic link if so.
+#
+if test "YES" != "$CONFIG_BUILD_HTML_ADJUST_NETSCAPE47X"
+then
+    exit 0 # Silently ignore the request
+else
+    # Only meaningful if "GENERATE_HTML=YES" in directive file
+
+    if test -d $OUTPUT_DIRECTORY/$HTML_OUTPUT
+    then
+        rm -f $CSS_FILE
+
+        ln -s $CSS_FILE_ORIG $CSS_FILE
+    fi
+fi
+
+
+########################################################################
+#
+# EOF

Propchange: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/doxunpatch.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/echotest.sh
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/echotest.sh?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/echotest.sh (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/echotest.sh Fri Oct  7 21:27:56 2005
@@ -0,0 +1,100 @@
+#!/bin/sh
+#
+#!
+# @file ./echotest.sh
+#
+# @brief Generic replacement for echo -n
+#
+# This script include file contains the keyboard support
+# needed to derive proper functionality of shell command
+# echo -n for systems that do not have it.
+# This is useful in shell scripts when requesting user input
+# by way of a read varname command.
+# It should work on any flavor of BASH, Korn, and Bourne shells.
+# A stand-alone invocation does nothing, but is benign.
+#
+# Loaded where needed as:  . ./echotest.sh
+#
+# Invoke as:
+#$echon "Print a line without a final newline$echoc"
+#
+#
+# @section Control
+#
+# \$URL: https://svn.apache.org/path/name/echotest.sh $ \$Id: echotest.sh 0 09/28/2005 dlydick $
+#
+# Copyright 2005 The Apache Software Foundation
+# or its licensors, as applicable.
+#
+# Licensed under the Apache License, Version 2.0 ("the License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
+# either express or implied.
+#
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# @version \$LastChangedRevision: 0 $
+#
+# @date \$LastChangedDate: 09/28/2005 $
+#
+# @author \$LastChangedBy: dlydick $
+#         Original code contributed by Daniel Lydick on 09/28/2005.
+#
+# @section Reference
+#
+#/ /* 
+# (Use  #! and #/ with dox_filter.sh to fool Doxygen into
+# parsing this non-source text file for the documentation set.
+# Use the above open comment to force termination of parsing
+# since it is not a Doxygen-style 'C' comment.)
+#
+#
+###################################################################
+#
+# Script setup:  Determine style of echo command w/o newline
+#
+
+rm -f /tmp/echotest1.$$.tmp
+
+touch /tmp/echotest1.$$.tmp
+
+echo -n "" > /tmp/echotest2.$$.tmp
+
+cmp /tmp/echotest1.$$.tmp /tmp/echotest2.$$.tmp 2> /dev/null
+
+if test 0 -eq $?
+then
+    echon="echo -n"
+    echoc=""
+else
+    echo "\c" > /tmp/echotest3.$$.tmp
+
+    cmp /tmp/echotest1.$$.tmp /tmp/echotest3.$$.tmp 2> /dev/null
+
+    if test 0 -eq $?
+    then
+        echon="echo"
+        echoc="\\c"
+    else
+        echon="echo"
+        echoc=""
+    fi
+fi
+rm -f /tmp/echotest?.$$.tmp
+# echo "echon: $echon"
+# echo "echoc: \\${echoc}"
+
+###################################################################
+#
+# Done.  Use non-terminated $echon "text$echoc" from now on in
+# main script...
+
+#
+# EOF

Propchange: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/echotest.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/getsvndata.sh
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/getsvndata.sh?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/getsvndata.sh (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/getsvndata.sh Fri Oct  7 21:27:56 2005
@@ -0,0 +1,90 @@
+#!/bin/sh
+#!
+# @file ./getsvndata.sh
+#
+# @brief Report unique list of all versions of all source files
+# compiled into a binary.
+#
+# Generate report of all versions of source files that have been
+# compiled and are found in a compiled object file or a linked binary.
+# A sorted, unique list of URL-based file names and revision numbers
+# is displayed, showing @e exactly which revisions of which files
+# are present in the binary.
+#
+# @note Notice that there should @e never be two different revisions
+#       of @e any file found in a static or dynamic library.  However,
+#       a linked binary @e may have such difference, either by design
+#       or accidentally.  Use @link
+#       ./getsvndups.sh getsvndups.sh@endlink
+#       to show this type of analysis.
+#
+# The macro @link #ARCH_COPYRIGHT_APACHE() ARCH_COPYRIGHT_APACHE@endlink
+# generates the appropriate data from the expansion of SubVersion (SVN)
+# keywords that are stored in a static string in each compiled object
+# file.  This data is promoted at link time to be stored in the
+# linked binary explicitly for use by this reporting script.
+#
+# @see getsvndups.sh
+#
+# @todo A Windows .BAT version of this script needs to be written
+#
+#
+# @section Control
+#
+# \$URL: https://svn.apache.org/path/name/getsvndata.sh $ \$Id: getsvndata.sh 0 09/28/2005 dlydick $
+#
+# Copyright 2005 The Apache Software Foundation
+# or its licensors, as applicable.
+#
+# Licensed under the Apache License, Version 2.0 ("the License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
+# either express or implied.
+#
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# @version \$LastChangedRevision: 0 $
+#
+# @date \$LastChangedDate: 09/28/2005 $
+#
+# @author \$LastChangedBy: dlydick $
+#         Original code contributed by Daniel Lydick on 09/28/2005.
+#
+# @section Reference
+#
+#/ /* 
+# (Use  #! and #/ with dox_filter.sh to fool Doxygen into
+# parsing this non-source text file for the documentation set.
+# Use the above open comment to force termination of parsing
+# since it is not a Doxygen-style 'C' comment.)
+#
+#
+########################################################################
+#
+# Check script syntax
+#
+if test 0 -eq $#
+then
+    echo "Usage:  $0 object_or_binary_filename [...]"
+    exit 1
+fi
+ 
+########################################################################
+#
+# Scan requested file(s) and report SVN 
+#
+DOLLAR='$'
+SEARCHFOR="^\\\$URL: |^\\\$HeadURL: "
+
+strings $* | egrep "$SEARCHFOR" | sort -u | cut -f2,6 -d' '
+
+########################################################################
+#
+# EOF

Propchange: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/getsvndata.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/getsvndups.sh
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/getsvndups.sh?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/getsvndups.sh (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/getsvndups.sh Fri Oct  7 21:27:56 2005
@@ -0,0 +1,99 @@
+#!/bin/sh
+#!
+# @file ./getsvndups.sh
+#
+# @brief Report list of all non-unique versions of all source files 
+# compiled into a binary.
+#
+# Generate report of multiple versions of source files that have been
+# compiled and are found in a compiled object file or a linked binary.
+# A sorted, unique list of URL-based file names is displayed, showing
+# @e only names of files that have multiple versions present in the
+# binary.  This is perfectly acceptable for linked binaries, but
+# is always problematic for static libraries and dynamic libraries.
+#
+# To report the versions of all source files represented in the
+# binary, use @link ./getsvndata.sh getsvndata.sh@endlink.
+#
+# The macro @link #ARCH_COPYRIGHT_APACHE() ARCH_COPYRIGHT_APACHE@endlink
+# generates the appropriate data from the expansion of SubVersion (SVN)
+# keywords that are stored in a static string in each compiled object
+# file.  This data is promoted at link time to be stored in the
+# linked binary explicitly for use by this reporting script.
+#
+# @see getsvndata.sh
+#
+# @todo A Windows .BAT version of this script needs to be written
+#
+#
+# @section Control
+#
+# \$URL: https://svn.apache.org/path/name/getsvndups.sh $ \$Id: getsvndups.sh 0 09/28/2005 dlydick $
+#
+# Copyright 2005 The Apache Software Foundation
+# or its licensors, as applicable.
+#
+# Licensed under the Apache License, Version 2.0 ("the License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
+# either express or implied.
+#
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# @version \$LastChangedRevision: 0 $
+#
+# @date \$LastChangedDate: 09/28/2005 $
+#
+# @author \$LastChangedBy: dlydick $
+#         Original code contributed by Daniel Lydick on 09/28/2005.
+#
+# @section Reference
+#
+#/ /* 
+# (Use  #! and #/ with dox_filter.sh to fool Doxygen into
+# parsing this non-source text file for the documentation set.
+# Use the above open comment to force termination of parsing
+# since it is not a Doxygen-style 'C' comment.)
+#
+#
+########################################################################
+#
+# Check script syntax
+#
+if test 0 -eq $#
+then
+    echo "Usage:  $0 object_or_binary_filename [...]"
+    exit 1
+fi
+ 
+########################################################################
+#
+# Scan requested file(s) and report SVN 
+#
+trap "" 1 2 3 15
+
+DOLLAR='$'
+SEARCHFOR="^\\\$URL: |^\\\$HeadURL: "
+
+TMPFILE1=${TMPDIR:-/tmp}/tmp.1.$$
+TMPFILE2=${TMPDIR:-/tmp}/tmp.2.$$
+rm -f $TMPFILE1 $TMPFILE2
+
+strings $* | egrep "$SEARCHFOR" | sort -u | cut -f2,6 -d' ' > $TMPFILE1
+
+cut -f1 -d' ' $TMPFILE1 > $TMPFILE2
+
+cut -f1 -d' ' $TMPFILE1 | sort -u | diff $TMPFILE2 - | cut -f2 -d' '
+
+rm -f $TMPFILE1 $TMPFILE2
+
+########################################################################
+#
+# EOF

Propchange: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/getsvndups.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/.cdtbuild
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/.cdtbuild?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/.cdtbuild (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/.cdtbuild Fri Oct  7 21:27:56 2005
@@ -0,0 +1,31 @@
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/.cdtproject
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/.cdtproject?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/.cdtproject (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/.cdtproject Fri Oct  7 21:27:56 2005
@@ -0,0 +1,20 @@
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/.project
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/.project?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/.project (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/.project Fri Oct  7 21:27:56 2005
@@ -0,0 +1,19 @@
+
+
+	jni
+	
+	
+		libjvm
+	
+	
+		
+			org.eclipse.cdt.managedbuilder.core.genmakebuilder
+			
+			
+		
+	
+	
+		org.eclipse.cdt.core.cnature
+		org.eclipse.cdt.managedbuilder.core.managedBuildNature
+	
+

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/build.sh
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/build.sh?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/build.sh (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/build.sh Fri Oct  7 21:27:56 2005
@@ -0,0 +1,169 @@
+#!/bin/sh
+#
+#!
+# @file jni/src/harmony/generic/0.0/build.sh
+#
+# @brief Build Sample JNI subset, showing how to reference
+#              the local native methods, but using the full
+#              JNI mechanism.
+#
+# Compile Java source files into class files, but do @e not create
+# a JAR file.  Then compile 'C' source files into object files and
+# link into a target binary file.
+#
+# This binary really should be a shared object .so/.dll file, but that
+# is a task for the project team.  This is only a quick sample.
+#
+# @see @link jni/src/harmony/generic/0.0/clean.sh
+#            jni/src/harmony/generic/0.0/clean.sh@endlink
+#
+# @see @link jni/src/harmony/generic/0.0/common.sh
+#            jni/src/harmony/generic/0.0/common.sh@endlink
+#
+# @see @link ./build.sh ./build.sh@endlink
+#
+# @see @link ./clean.sh ./clean.sh@endlink
+#
+# @see @link ./common.sh ./common.sh@endlink
+#
+#
+# @todo  The linked binary should be converted to a
+#        shared object .so/.dll file instead.
+#
+# @todo  A Windows .BAT version of this script needs to be written
+#
+#
+# @section Control
+#
+# \$URL: https://svn.apache.org/path/name/build.sh $ \$Id: build.sh 0 09/28/2005 dlydick $
+#
+# Copyright 2005 The Apache Software Foundation
+# or its licensors, as applicable.
+#
+# Licensed under the Apache License, Version 2.0 ("the License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
+# either express or implied.
+#
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# @version \$LastChangedRevision: 0 $
+#
+# @date \$LastChangedDate: 09/28/2005 $
+#
+# @author \$LastChangedBy: dlydick $
+#         Original code contributed by Daniel Lydick on 09/28/2005.
+#
+# @section Reference
+#
+#/ /* 
+# (Use  #! and #/ with dox_filter.sh to fool Doxygen into
+# parsing this non-source text file for the documentation set.
+# Use the above open comment to force termination of parsing
+# since it is not a Doxygen-style 'C' comment.)
+#
+#
+###################################################################
+#
+# Script setup
+#
+. common.sh
+
+###################################################################
+#
+# Construct output area.  Since Eclipse uses 'bin/src' for its
+# output area, there should not be a conflict unless Eclipse does
+# a 'make clean', which removes and rebuilds 'bin'.
+#
+if test ! -d $TARGET_DIRECTORY
+then
+    mkdir $TARGET_DIRECTORY
+fi
+if test ! -d $TARGET_DIRECTORY
+then
+    echo "$PGMNAME:  Cannot create '$TARGET_DIRECTORY' directory"
+    exit 1
+fi
+
+rm -f `find $TARGET_DIRECTORY -name \*.class`
+rm -f $TARGET_DIRECTORY/*.o $TMP_LIBRARY $TARGET_LIBRARY $TARGET_BINARY
+
+###################################################################
+#
+# Build Java class files from source code (do @e not create JAR file)
+#
+javac -g -sourcepath src -classpath bin -d bin $SOURCES_JAVA
+rc=$?
+
+if test 0 -eq $rc
+then
+    jar cf $TMP_LIBRARY -C bin .
+    rc1=$?
+    mv $TMP_LIBRARY $TARGET_LIBRARY # Avoid partial JAR file inside self
+    if test 0 -eq $rc
+    then
+        rc=$rc1
+    fi
+fi
+
+###################################################################
+#
+# Build 'C' object files from source code
+#
+
+OBJECTS=""
+for f in $SOURCES_C
+do
+    OBJECT=$TARGET_DIRECTORY/`expr "/${f:-.}" : \
+                                   '\(.*[^/]\)/*$' : \
+                                   '.*/\(..*\)' : \
+                                   "\\(.*\\)c\$" `o
+
+    OBJECTS="$OBJECTS ${OBJECT}"
+    case $f in
+        jvm/src/stdio.c)
+            gcc $ALWAYS_OPTIONS \
+                -o ${OBJECT} \
+                -c $f
+            ;;
+
+        *)  gcc $ALWAYS_OPTIONS \
+                $USUALLY_OPTIONS \
+                -o ${OBJECT} \
+                -c $f
+            ;;
+    esac
+done
+
+###################################################################
+#
+# Link final binary file from object code
+#
+
+gcc `cat ../../../../../config/config_opts_always.gccld` \
+    $OBJECTS \
+    -L ../../../../../libjvm/lib \
+    -ljvm \
+    -o $TARGET_BINARY
+rc1=$?
+
+if test 0 -eq $rc1
+then
+    rc=$rc1
+fi
+
+###################################################################
+#
+# Done.
+#
+exit $rc
+
+#
+# EOF

Propchange: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/build.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/clean.sh
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/clean.sh?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/clean.sh (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/clean.sh Fri Oct  7 21:27:56 2005
@@ -0,0 +1,84 @@
+#!/bin/sh
+#
+#!
+# @file jni/src/harmony/generic/0.0/clean.sh
+#
+# @brief Remove build of sample JNI subset, showing how to reference
+#              the local native methods, but using the full
+#              JNI mechanism.
+#
+# @see @link jni/src/harmony/generic/0.0/build.sh
+#            jni/src/harmony/generic/0.0/build.sh@endlink
+#
+# @see @link jni/src/harmony/generic/0.0/common.sh
+#            jni/src/harmony/generic/0.0/common.sh@endlink
+#
+# @see @link ./build.sh ./build.sh@endlink
+#
+# @see @link ./clean.sh ./clean.sh@endlink
+#
+# @see @link ./common.sh ./common.sh@endlink
+#
+#
+# @todo  A Windows .BAT version of this script needs to be written
+#
+#
+# @section Control
+#
+# \$URL: https://svn.apache.org/path/name/clean.sh $ \$Id: clean.sh 0 09/28/2005 dlydick $
+#
+# Copyright 2005 The Apache Software Foundation
+# or its licensors, as applicable.
+#
+# Licensed under the Apache License, Version 2.0 ("the License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
+# either express or implied.
+#
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# @version \$LastChangedRevision: 0 $
+#
+# @date \$LastChangedDate: 09/28/2005 $
+#
+# @author \$LastChangedBy: dlydick $
+#         Original code contributed by Daniel Lydick on 09/28/2005.
+#
+# @section Reference
+#
+#/ /* 
+# (Use  #! and #/ with dox_filter.sh to fool Doxygen into
+# parsing this non-source text file for the documentation set.
+# Use the above open comment to force termination of parsing
+# since it is not a Doxygen-style 'C' comment.)
+#
+#
+###################################################################
+#
+# Script setup
+#
+. common.sh
+
+###################################################################
+#
+# Remove output area.
+#
+chmod -R +w $TARGET_DIRECTORY
+rm -rf $TARGET_DIRECTORY
+rc=$?
+
+###################################################################
+#
+# Done.
+#
+exit $rc
+
+#
+# EOF

Propchange: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/clean.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/common.sh
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/common.sh?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/common.sh (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/common.sh Fri Oct  7 21:27:56 2005
@@ -0,0 +1,126 @@
+#!/bin/sh
+#
+#!
+# @file jni/src/harmony/generic/0.0/common.sh
+#
+# @brief Common code for building the sample JNI subset, showing
+#              how to reference the local native methods, but
+#              using the full JNI mechanism.
+#
+# This script is common to @b build.sh and @b clean.sh and is not
+# designed to do anything on its own.
+#
+# Each of these directories contains a @b build.sh script.  In addition
+# to these, an Eclipse project file is available in each for use with
+# the Eclipse C/C++ plugin, so this entire directory tree may be
+# imported wholesale into an Eclipse workspace and used without
+# changes.  (Eclipse 3.0.2 generated these files.)  Notice that
+# the Eclipse setup does not build the documentation set.  This must
+# be done manually with the top-level 'build.sh dox'.
+#
+# Each of these directories also contains a @b clean.sh script which
+# removes the output of @b build.sh.
+#
+# @attention The configuration options stored by 'config.sh' into the
+# file @b config/confopts.gcc are @e not directly available to
+# Eclipse and @e must be manually entered there after they are
+# established by @link config.sh config.sh@endlink.  They
+# should be entered in the project build parameters for C/C++ in the
+# miscellaneous parameters section.  For example, '-m32' and '-m64'.
+# For a command line GCC invocation, the following is a convenient
+# way to incorporate the options:
+#
+# @verbatim
+#
+#   $ gcc `cat ../../../../../config/config_opts_always.gcc` \
+#         `cat ../../../../../config/config_opts_usually.gcc` \
+#              -c filename.c ...
+#
+# @endverbatim
+#
+# Notice that this script may be run instead of or as well as an
+# Eclipse build.  The only difference is where the object files
+# are stored.
+#
+#
+# @see @link jni/src/harmony/generic/0.0/build.sh
+#            jni/src/harmony/generic/0.0/build.sh@endlink
+#
+# @see @link jni/src/harmony/generic/0.0/clean.sh
+#            jni/src/harmony/generic/0.0/clean.sh@endlink
+#
+# @see @link ./build.sh ./build.sh@endlink
+#
+# @see @link ./clean.sh ./clean.sh@endlink
+#
+# @see @link ./common.sh ./common.sh@endlink
+#
+#
+# @todo  A Windows .BAT version of this script needs to be written
+#
+#
+# @section Control
+#
+# \$URL: https://svn.apache.org/path/name/common.sh $ \$Id: common.sh 0 09/28/2005 dlydick $
+#
+# Copyright 2005 The Apache Software Foundation
+# or its licensors, as applicable.
+#
+# Licensed under the Apache License, Version 2.0 ("the License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
+# either express or implied.
+#
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# @version \$LastChangedRevision: 0 $
+#
+# @date \$LastChangedDate: 09/28/2005 $
+#
+# @author \$LastChangedBy: dlydick $
+#         Original code contributed by Daniel Lydick on 09/28/2005.
+#
+# @section Reference
+#
+#/ /* 
+# (Use  #! and #/ with dox_filter.sh to fool Doxygen into
+# parsing this non-source text file for the documentation set.
+# Use the above open comment to force termination of parsing
+# since it is not a Doxygen-style 'C' comment.)
+#
+#
+###################################################################
+#
+# Script setup
+#
+chmod -w $0 common.sh
+
+SOURCES_JAVA=`cat ../../../../../config/config_roster_jni_java.dox | \
+              grep "^ " | \
+              sed 's,jni/src/harmony/generic/0.0/,,;s, \\\,,'`
+
+SOURCES_C=`cat ../../../../../config/config_roster_jni_c.dox | \
+           grep "^ " | \
+           sed 's,jni/src/harmony/generic/0.0/,,;s, \\\,,'`
+
+ALWAYS_OPTIONS=`cat ../../../../../config/config_opts_always.gcc`
+USUALLY_OPTIONS=`cat ../../../../../config/config_opts_usually.gcc`
+
+TARGET_DIRECTORY=bin
+
+TARGET_LIBRARY=$TARGET_DIRECTORY/bootjvm.jar
+TMPDIR=${TMPDIR:-.}
+if test ! -d $TMPDIR/.; then TMPDIR=.; fi # Guarantee a valid TMPDIR
+TMP_LIBRARY=$TMPDIR/bootjvm.jar
+
+TARGET_BINARY=$TARGET_DIRECTORY/bootjvm
+
+#
+# EOF

Propchange: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/common.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_Class.h
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_Class.h?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_Class.h (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_Class.h Fri Oct  7 21:27:56 2005
@@ -0,0 +1,117 @@
+#ifndef _included_java_lang_Class_h_
+#define _included_java_lang_Class_h_
+/*!
+ * @file java_lang_Class.h
+ *
+ * @brief Sample subset of @c @b java.lang.Class native
+ * methods
+ *
+ * The full implementation of this header file should contain each and
+ * every native method that is declared by the implmentation.
+ *
+ *
+ * @section Control
+ *
+ * \$URL: https://svn.apache.org/path/name/java_lang_Class.h $ \$Id: java_lang_Class.h 0 09/28/2005 dlydick $
+ *
+ * Copyright 2005 The Apache Software Foundation
+ * or its licensors, as applicable.
+ *
+ * Licensed under the Apache License, Version 2.0 ("the License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing,
+ * software distributed under the License is distributed on an
+ * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
+ * either express or implied.
+ *
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * @version \$LastChangedRevision: 0 $
+ *
+ * @date \$LastChangedDate: 09/28/2005 $
+ *
+ * @author \$LastChangedBy: dlydick $
+ *         Original code contributed by Daniel Lydick on 09/28/2005.
+ *
+ * @section Reference
+ *
+ */
+
+#include 
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Class.registerNatives()
+ *
+ * @verbatim
+   Class:     java_lang_Class
+   Method:    registerNatives
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Class_registerNatives(JNIEnv *, jclass);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Class.unregisterNatives()
+ *
+ * @verbatim
+   Class:     java_lang_Class
+   Method:    unregisterNatives
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Class_unregisterNatives(JNIEnv *, jclass);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Class.isArray()
+ *
+ * @verbatim
+   Class:     java_lang_Class
+   Method:    isArray
+   Signature: ()Z
+   @endverbatim
+ *
+ */
+JNIEXPORT jboolean JNICALL
+    Java_java_lang_Class_isArray(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Class.isPrimative()
+ *
+ * @verbatim
+   Class:     java_lang_Class
+   Method:    isPrimitive
+   Signature: ()Z
+   @endverbatim
+ *
+ */
+JNIEXPORT jboolean JNICALL
+    Java_java_lang_Class_isPrimitive(JNIEnv *, jobject);
+
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif /* _included_java_lang_String_h_ */
+
+/* EOF */

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_Object.h
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_Object.h?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_Object.h (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_Object.h Fri Oct  7 21:27:56 2005
@@ -0,0 +1,146 @@
+#ifndef _included_java_lang_Object_h_
+#define _included_java_lang_Object_h_
+/*!
+ * @file java_lang_Object.h
+ *
+ * @brief Sample subset of @c @b java.lang.Object native methods
+ *
+ * The full implementation of this header file should contain each and
+ * every native method that is declared by the implmentation.
+ *
+ *
+ * @section Control
+ *
+ * \$URL: https://svn.apache.org/path/name/java_lang_Object.h $ \$Id: java_lang_Object.h 0 09/28/2005 dlydick $
+ *
+ * Copyright 2005 The Apache Software Foundation
+ * or its licensors, as applicable.
+ *
+ * Licensed under the Apache License, Version 2.0 ("the License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing,
+ * software distributed under the License is distributed on an
+ * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
+ * either express or implied.
+ *
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * @version \$LastChangedRevision: 0 $
+ *
+ * @date \$LastChangedDate: 09/28/2005 $
+ *
+ * @author \$LastChangedBy: dlydick $
+ *         Original code contributed by Daniel Lydick on 09/28/2005.
+ *
+ * @section Reference
+ *
+ */
+
+#include 
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Object.registerNatives()
+ *
+ * @verbatim
+   Class:     java_lang_Object
+   Method:    registerNatives
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Object_registerNatives(JNIEnv *, jclass);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Object.unregisterNatives()
+ *
+ * @verbatim
+   Class:     java_lang_Object
+   Method:    unregisterNatives
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Object_unregisterNatives(JNIEnv *, jclass);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Object.getClass()
+ *
+ * @verbatim
+   Class:     java_lang_Object
+   Method:    getClass
+   Signature: ()Ljava/lang/Class;
+   @endverbatim
+ *
+ */
+JNIEXPORT jobject JNICALL
+    Java_java_lang_Object_getClass(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Object.hashCode()
+ *
+ * @verbatim
+   Class:     java_lang_Object
+   Method:    hashCode
+   Signature: ()I
+   @endverbatim
+ *
+ */
+JNIEXPORT jint JNICALL
+    Java_java_lang_Object_hashCode(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Object.wait()
+ *
+ * @verbatim
+   Class:     java_lang_Object
+   Method:    wait
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Object_wait(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Object.wait(long)
+ *
+ * @verbatim
+   Class:     java_lang_Object
+   Method:    wait
+   Signature: (J)V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Object_wait__J(JNIEnv *, jobject, jlong);
+
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif /* _included_java_lang_Object_h_ */
+
+/* EOF */

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_String.h
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_String.h?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_String.h (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_String.h Fri Oct  7 21:27:56 2005
@@ -0,0 +1,102 @@
+#ifndef _included_java_lang_String_h_
+#define _included_java_lang_String_h_
+/*!
+ * @file java_lang_String.h
+ *
+ * @brief Sample subset of @c @b java.lang.String native
+ * methods
+ *
+ * The full implementation of this header file should contain each and
+ * every native method that is declared by the implmentation.
+ *
+ *
+ * @section Control
+ *
+ * \$URL: https://svn.apache.org/path/name/java_lang_String.h $ \$Id: java_lang_String.h 0 09/28/2005 dlydick $
+ *
+ * Copyright 2005 The Apache Software Foundation
+ * or its licensors, as applicable.
+ *
+ * Licensed under the Apache License, Version 2.0 ("the License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing,
+ * software distributed under the License is distributed on an
+ * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
+ * either express or implied.
+ *
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * @version \$LastChangedRevision: 0 $
+ *
+ * @date \$LastChangedDate: 09/28/2005 $
+ *
+ * @author \$LastChangedBy: dlydick $
+ *         Original code contributed by Daniel Lydick on 09/28/2005.
+ *
+ * @section Reference
+ *
+ */
+
+#include 
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.String.registerNatives()
+ *
+ * @verbatim
+   Class:     java_lang_String
+   Method:    registerNatives
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_String_registerNatives(JNIEnv *, jclass);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.String.unregisterNatives()
+ *
+ * @verbatim
+   Class:     java_lang_String
+   Method:    unregisterNatives
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_String_unregisterNatives(JNIEnv *, jclass);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.String.intern()
+ *
+ * @verbatim
+   Class:     java_lang_String
+   Method:    intern
+   Signature: ()Ljava/lang/String;
+   @endverbatim
+ *
+ */
+JNIEXPORT jstring JNICALL
+    Java_java_lang_String_intern(JNIEnv *, jobject);
+
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif /* _included_java_lang_String_h_ */
+
+/* EOF */

Added: incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_Thread.h
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_Thread.h?rev=307257&view=auto
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_Thread.h (added)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/bootjvm/bootJVM/jni/src/harmony/generic/0.0/include/java_lang_Thread.h Fri Oct  7 21:27:56 2005
@@ -0,0 +1,446 @@
+#ifndef _included_java_lang_Thread_h_
+#define _included_java_lang_Thread_h_
+/*!
+ * @file java_lang_Thread.h
+ *
+ * @brief Sample subset of @c @b java.lang.Thread native
+ * methods
+ *
+ * The full implementation of this header file should contain each and
+ * every native method that is declared by the implmentation.
+ *
+ *
+ * @section Control
+ *
+ * \$URL: https://svn.apache.org/path/name/java_lang_Thread.h $ \$Id: java_lang_Thread.h 0 09/28/2005 dlydick $
+ *
+ * Copyright 2005 The Apache Software Foundation
+ * or its licensors, as applicable.
+ *
+ * Licensed under the Apache License, Version 2.0 ("the License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing,
+ * software distributed under the License is distributed on an
+ * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
+ * either express or implied.
+ *
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * @version \$LastChangedRevision: 0 $
+ *
+ * @date \$LastChangedDate: 09/28/2005 $
+ *
+ * @author \$LastChangedBy: dlydick $
+ *         Original code contributed by Daniel Lydick on 09/28/2005.
+ *
+ * @section Reference
+ *
+ */
+
+#include 
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.registerNatives()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    registerNatives
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_registerNatives(JNIEnv *, jclass);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.unregisterNatives()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    unregisterNatives
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_unregisterNatives(JNIEnv *, jclass);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.currentThread()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    currentThread
+   Signature: ()Ljava/lang/Thread;
+   @endverbatim
+ *
+ */
+JNIEXPORT jobject JNICALL
+    Java_java_lang_Thread_currentThread(JNIEnv *, jclass);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.yield()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    yield
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_yield(JNIEnv *, jclass);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.interrupt()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    interrupt
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_interrupt(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.interrupted()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    interrupted
+   Signature: ()Z
+   @endverbatim
+ *
+ */
+JNIEXPORT jboolean JNICALL
+    Java_java_lang_Thread_interrupted(JNIEnv *, jclass);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.isInterrupted()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    isInterrupted
+   Signature: ()Z
+   @endverbatim
+ *
+ */
+JNIEXPORT jboolean JNICALL
+    Java_java_lang_Thread_isInterrupted(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.isInterrupted()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    sleep
+   Signature: (J)V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_sleep__J(JNIEnv *, jclass, jlong);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.sleep(long, int)
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    sleep
+   Signature: (JI)V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_sleep__JI(JNIEnv *, jclass, jlong, jint);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.join()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    join
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL Java_java_lang_Thread_join(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.join(long)
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    join
+   Signature: (J)V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_join__J(JNIEnv *, jobject, jlong);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.join()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    join
+   Signature: (JI)V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_join__JI(JNIEnv *, jobject, jlong, jint);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.isAlive()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    isAlive
+   Signature: ()Z
+   @endverbatim
+ *
+ */
+JNIEXPORT jboolean JNICALL
+    Java_java_lang_Thread_isAlive(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.start()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    start
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL Java_java_lang_Thread_start(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.countStackFrames()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    countStackFrames
+   Signature: ()I
+   @endverbatim
+ *
+ * @deprecated CAVEAT EMPTOR:  This method has been deprecated
+ *                                    in the JDK library API
+ *                                    documentation.
+ *
+ */
+JNIEXPORT jint JNICALL
+    Java_java_lang_Thread_countStackFrames(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.holdsLock()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    holdsLock
+   Signature: (Ljava/lang/Object;)Z
+   @endverbatim
+ *
+ */
+JNIEXPORT jboolean JNICALL
+    Java_java_lang_Thread_holdsLock(JNIEnv *, jclass, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.setPriority()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    setPriority
+   Signature: (I)V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_setPriority(JNIEnv *, jobject, jint);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.getPriority()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    getPriority
+   Signature: ()I
+   @endverbatim
+ *
+ */
+JNIEXPORT jint JNICALL
+    Java_java_lang_Thread_getPriority(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.destroy()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    destroy
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_destroy(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.checkAccess()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    checkAccess
+   Signature: ()V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_checkAccess(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.setDaemon()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    setDaemon
+   Signature: (Z)V
+   @endverbatim
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_setDaemon(JNIEnv *, jobject, jboolean);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.isDaemon()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    isDaemon
+   Signature: ()Z
+   @endverbatim
+ *
+ */
+JNIEXPORT jboolean JNICALL
+    Java_java_lang_Thread_isDaemon(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.stop()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    stop
+   Signature: ()V
+   @endverbatim
+ *
+ * @deprecated CAVEAT EMPTOR:  This method has been deprecated
+ *                                    in the JDK library API
+ *                                    documentation.
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_stop(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.suspend()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    resume
+   Signature: ()V
+   @endverbatim
+ *
+ * @deprecated CAVEAT EMPTOR:  This method has been deprecated
+ *                                    in the JDK library API
+ *                                    documentation.
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_resume(JNIEnv *, jobject);
+
+
+/*!
+ * @brief Native definition
+ * for @c @b java.lang.Thread.suspend()
+ *
+ * @verbatim
+   Class:     java_lang_Thread
+   Method:    suspend
+   Signature: ()V
+   @endverbatim
+ *
+ * @deprecated CAVEAT EMPTOR:  This method has been deprecated
+ *                                    in the JDK library API
+ *                                    documentation.
+ *
+ */
+JNIEXPORT void JNICALL
+    Java_java_lang_Thread_suspend(JNIEnv *, jobject);
+
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif /* _included_java_lang_Thread_h_ */
+
+/* EOF */